## org.gnu.gtk
Class ComboBoxEntry

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Bin
                          org.gnu.gtk.ComboBox
                              org.gnu.gtk.ComboBoxEntry

All Implemented Interfaces:
  CellLayout

public class ComboBoxEntry
extends ComboBox

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`ComboBoxEntry()` Construct a new ComboBoxEntry that will contain only Strings.
`ComboBoxEntry(Handle hndl)`
`ComboBoxEntry(TreeModel model, int textColumn)` Create a new ComboBoxEntry with the provided model.

Method Summary
`int` `getTextColumn()` Returns the column from the model used by this widget.
`protected static int` `gtk_combo_box_entry_get_text_column(Handle entry)`
`protected static int` `gtk_combo_box_entry_get_type()`
`protected static Handle` `gtk_combo_box_entry_new_text()`
`protected static Handle` `gtk_combo_box_entry_new_with_model(Handle model, int textColumn)`
`protected static Handle` `gtk_combo_box_entry_new()`
`protected static void` `gtk_combo_box_entry_set_text_column(Handle entry, int textColumn)`
`void` `setTextColumn(int textColumn)` Set the model column which the ComboBoxEntry should use to get the strings.

Methods inherited from class org.gnu.gtk.ComboBox

`addAttributeMapping, addListener, appendText, clear, clearAttributeMappings, fireComboBoxEvent, getActive, getActiveIter, getActiveText, getAddTearoffs, getColumnSpanColumn, getEventListenerClass, getEventType, getFocusOnClick, getModel, getPopupAccessible, getRowSeparatorMethod, getRowSpanColumn, getWrapWidth, gtk_combo_box_append_text, gtk_combo_box_get_active_iter, gtk_combo_box_get_active_text, gtk_combo_box_get_active, gtk_combo_box_get_add_tearoffs, gtk_combo_box_get_column_span_column, gtk_combo_box_get_focus_on_click, gtk_combo_box_get_model, gtk_combo_box_get_popup_accessible, gtk_combo_box_get_row_span_column, gtk_combo_box_get_type, gtk_combo_box_get_wrap_width, gtk_combo_box_insert_text, gtk_combo_box_new_text, gtk_combo_box_new_with_model, gtk_combo_box_new, gtk_combo_box_popdown, gtk_combo_box_popup, gtk_combo_box_prepend_text, gtk_combo_box_remove_text, gtk_combo_box_set_active_iter, gtk_combo_box_set_active, gtk_combo_box_set_add_tearoffs, gtk_combo_box_set_column_span_column, gtk_combo_box_set_focus_on_click, gtk_combo_box_set_model, gtk_combo_box_set_row_span_column, gtk_combo_box_set_wrap_width, handleSeparatorFunc, insertText, packEnd, packStart, popdown, popup, prependText, removeListener, removeText, reorder, setActive, setActiveIter, setAddTearoffs, setColumnSpanColumn, setFocusOnClick, setModel, setRowSeparatorMethod, setRowSpanColumn, setWrapWidth`

Methods inherited from class org.gnu.gtk.Bin
`getChild, getType, gtk_bin_get_child, gtk_bin_get_type`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gnu.gtk.CellLayout
`getHandle`

Constructor Detail

### ComboBoxEntry

    public ComboBoxEntry(Handle hndl)

### ComboBoxEntry

    public ComboBoxEntry()

  Construct a new ComboBoxEntry that will contain only Strings. If you need to include objects other than strings you must use the constructor that takes a TreeModel. When you use this constructor you should use the appendText, insertText, prependText, and removeText methods to add or remove text from the comboBox.

### ComboBoxEntry

    public ComboBoxEntry(TreeModel model,
                         int textColumn)

  Create a new ComboBoxEntry with the provided model. If you use this constructor you should not use the appendText, insertText, prependText, or removeText methods. You should update the model when you need to change the values in the ComboBox.

Parameters:
  `model` -
  `textColumn` -

Method Detail

### setTextColumn

    public void setTextColumn(int textColumn)

  Set the model column which the ComboBoxEntry should use to get the strings.

  Parameters:
    `textColumn` -

### getTextColumn

    public int getTextColumn()

  Returns the column from the model used by this widget.

### gtk_combo_box_entry_get_type

    protected static final int gtk_combo_box_entry_get_type()

### gtk_combo_box_entry_new

    protected static final Handle gtk_combo_box_entry_new()

### gtk_combo_box_entry_new_with_model

    protected static final Handle gtk_combo_box_entry_new_with_model(Handle model,
                                                                     int textColumn)

### gtk_combo_box_entry_set_text_column

    protected static final void gtk_combo_box_entry_set_text_column(Handle entry,
                                                                    int textColumn)

### gtk_combo_box_entry_get_text_column

    protected static final int gtk_combo_box_entry_get_text_column(Handle entry)

### gtk_combo_box_entry_new_text

    protected static final Handle gtk_combo_box_entry_new_text()